
#pragma hdrstop
#include <conio.h> // getch()
#include <iostream.h> // cin cout

const SITES = 5;      // Anzahl der Seiten
string names[SITES] = {"Bananas","Apples","Funk'n","Deep Blue","Fluids"};
int hits[SITES]= {240,34,487,154,85}; // Zugriffe auf die Seiten
int prozente[SITES];   // In Prozent umgerechnete Zugriffe

string name_ausgeben(string s){  // Was tut diese Funktion?
  while (s.length() < 10) s=s+'.';  // s.length gibt die Laenge von s zurueck
  return s + ": ";
}

void hits_ausgeben(){   // Ausgabe der Seitenzugriffe
  for (int i=0;i<SITES;i++){
    cout << name_ausgeben(names[i]);
    cout << hits[i] << endl;
  }
}
                            // Die Zugriffe werden in Prozente umgerechnet
int prozente_berechnen(){
  int sum_hits=0;          // Summe der Gesammt-Zugriffe
  for (int i=0; i<SITES;i++){
    sum_hits = sum_hits+hits[i];
  }
  for (int i=0; i<SITES;i++){
    prozente[i] = (100.0*hits[i] / sum_hits)+0.5;
  }
  return sum_hits;
}

int prozente_ausgeben(){ // Ausgabe der Prozente pro Seite auf Konsole
  int prozsum = 0;       // Summe der Prozente mit 0 initialiseren
  for (int i=0;i<SITES;i++){  // fuer alle SITES
    cout << name_ausgeben(names[i]); // Name formatiert ausgeben
    if (prozente[i] >9)              // wenn Prozentwert 2-stellig
      cout << " ";                   // ein Leerzeichen ausgeben
    else                             // sonst
      cout << "  ";                  // 2 Leerzeichen ausgeben
    cout << prozente[i] << "% ";     // Prozente ausgeben
    cout << endl;                    // neue Zeile
    prozsum = prozsum + prozente[i]; // Prozente aufsummieren
  } // -fuer alle SITES
  return prozsum;                    // Prozentsumme zurueckgeben
}

void balken_ausgeben(){ // Ausgabe der Prozente als Balken
  int i,j,k;                         // lokale Variablen
  for (i=0;i<SITES;i++){             // fuer alle SITES
    cout << name_ausgeben(names[i]); // Name formatiert ausgeben
    if (prozente[i] >9)              // wenn Prozentwert 2-stellig
      cout << " ";                   // ein Leerzeichen ausgeben
    else                             // sonst
      cout << "  ";                  // 2 Leerzeichen ausgeben
    cout << prozente[i] << "% ";     // Prozente ausgeben
    j= prozente[i]/2;                // j proportional prozent/2
    for (k=0;k<j;k++){               // j mal
      cout << "*";                   // einen Stern ausgeben
    }                                // -j mal
    cout << endl;                    // neue Zeile
  }                                  // -fuer alle SITES
}

void main()
{
  cout << "WebSite-Statistiken v1.0 von Oliver Mezger\n\n";
  hits_ausgeben();
  cout << "\n Hits gesammt: " << prozente_berechnen() << "\n\n";
  cout << "\n Gesammt: " << prozente_ausgeben() << "% \n\n";
  balken_ausgeben();
  getch();
}
//---------------------------------------------------------------------------
 
